#1949 closed defect (fixed)

arm_interrupt_disable: no return statement in function returning non-void

Reported by: Ralf Corsepius Owned by: Sebastian Huber
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@…, sebastian.huber@… Blocked By:
Blocking:

Description

GCC emits this warning when building the arm1136jfs BSP:

make[7]: Entering directory `/users/rtems/src/rtems-git/rtems.export2/BUILD-arm-rtems4.11/arm-rtems4.11/c/arm1136jfs/cpukit/score/cpu/arm'
arm-rtems4.11-gcc --pipe -DHAVE_CONFIG_H -I../../.. -I../../../../cpukit/../../../arm1136jfs/lib/include -mcpu=arm1136jf-s -O2 -g -Wall -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT libscorecpu_a-cpu.o -MD -MP -MF .deps/libscorecpu_a-cpu.Tpo -c -o libscorecpu_a-cpu.o test -f 'cpu.c' || echo '../../../../../../../../c/src/../../cpukit/score/cpu/arm/'cpu.c
In file included from ../../../../cpukit/../../../arm1136jfs/lib/include/rtems/score/percpu.h:22:0,

from ../../../../cpukit/../../../arm1136jfs/lib/include/rtems/system.h:23,
from ../../../../../../../../c/src/../../cpukit/score/cpu/arm/cpu.c:31:

../../../../cpukit/../../../arm1136jfs/lib/include/rtems/score/cpu.h: In function 'arm_interrupt_disable':
../../../../cpukit/../../../arm1136jfs/lib/include/rtems/score/cpu.h:290:1: warning: no return statement in function returning non-void [-Wreturn-type]

Change History (5)

comment:1 Changed on Nov 6, 2011 at 2:37:42 PM by Ralf Corsepius

Cc: Sebastian Huber added

comment:2 Changed on Nov 6, 2011 at 2:45:16 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Sebastian Huber

comment:3 Changed on Nov 6, 2011 at 2:45:50 PM by Joel Sherrill

Cc: Joel Sherrill added

comment:4 Changed on Nov 7, 2011 at 6:50:17 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

The ARM1136JF-S is software compatible with earlier ARM cores, thus I selected the ARM_MULTILIB_ARCH_V4 support.

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.